<section class="p-0">
    <form *ngIf="showInputNumero" #f="ngForm" action="" [formGroup]="phoneForm" (ngSubmit)="onSubmit()">
        <div data-aos="zoom-in" data-aos-delay="150" class="container contenedor-responsive">
            <div class="row section-title justify-content-center text-center" style="padding-top: 3rem">
                <div class="col-md-9 col-lg-8 col-xl-7">
                    <h3 class="display-7" style="margin-bottom:50px !important;">Necesitamos validar tu celular</h3>
                    <div class="lead">
                        <div class="mb-2 input-numero">
                            <ngx-intl-tel-input [cssClass]="'custom'" [preferredCountries]="preferredCountries" [enableAutoCountrySelect]="false" [enablePlaceholder]="false" [searchCountryFlag]="true" [searchCountryField]="[SearchCountryField.Iso2, SearchCountryField.Name]" [selectFirstCountry]="false"
                                [selectedCountryISO]="CountryISO.Paraguay" [maxLength]="15" [tooltipField]="TooltipLabel.Name" [phoneValidation]="true" [separateDialCode]="separateDialCode" name="phone" formControlName="phone">
                            </ngx-intl-tel-input>
                            <p class="mensaje_rutaInvalid" id="tel_invalid" style="display: none; font-size: 1rem;">Debe ingresar un número de teléfono</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="mr-2 mb-2" style="display: flex;justify-content: center;">
                <a routerLink="/" style="padding: 12px 30px;" class="enlace-later">Hacerlo más tarde </a>
                <button type="submit" class="btn btn-primary">
                    <div class="d-flex align-items-center">
                        <span>Validar</span>
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" class="injected-svg icon bg-white" data-src="assets/img/icons/interface/icon-arrow-right.svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                                <path d="M12 5L19 12L12 19M5 12H18H5Z" stroke="#2C3038" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                            </svg>
                    </div>
                </button>
            </div>
        </div>
    </form>
    <!-- <form *ngIf="showInputNumero" action="" [formGroup]="registerForm" (ngSubmit)="onSubmit()">
        <div data-aos="zoom-in" data-aos-delay="150" class="container contenedor-responsive">
            <div class="row section-title justify-content-center text-center" style="padding-top: 3rem">
                <div class="col-md-9 col-lg-8 col-xl-7">
                    <h3 class="display-7" style="margin-bottom:50px !important;">Necesitamos validar tu celular</h3>
                    <div class="lead">
                        <input type="text" formControlName="telefono" id="telefono" class="form-control" placeholder="" [ngClass]="{ 'is-invalid': submitted && f.telefono.errors }">

                    </div>
                </div>
            </div>

            <div class="mr-2 mb-2" style="display: flex;justify-content: center;">
                <a routerLink="/" style="padding: 12px 30px;" class="enlace-later">Hacerlo más tarde </a>
                <button type="submit" class="btn btn-primary">
                    <div class="d-flex align-items-center">
                        <span>Siguiente</span>
                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" class="injected-svg icon bg-white" data-src="assets/img/icons/interface/icon-arrow-right.svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                            <path d="M12 5L19 12L12 19M5 12H18H5Z" stroke="#2C3038" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                        </svg>
                    </div>
                </button>
            </div>
        </div>
    </form> -->
    <div *ngIf="showInputCodigo" data-aos="zoom-in" data-aos-delay="150" class="container contenedor-responsive">
        <div class="row section-title justify-content-center text-center" style="padding-top: 3rem">
            <div class="col-md-9 col-lg-8 col-xl-7">
                <h3 class="display-7" style="margin-bottom:50px !important;">Te enviamos un código al número que proporcionaste</h3>
                <div class="lead">
                    <input type="number" [(ngModel)]="codigoIngresado" id="codigo" class="form-control" placeholder="Ingresa el código recibido (xxxxxx)">
                    <p class="mensaje_rutaInvalid" id="codigo_invalid" style="display: none; font-size: 1rem;">Ocurrio un error al verificar tu número.</p>
                </div>
            </div>
        </div>
        <div class="mr-2 mb-2" style="display: flex;justify-content: center;">
            <button type="button" (click)="verificarCodigo()" [disabled]="(codigoIngresado == '')" class="btn btn-primary">
                <div class="d-flex align-items-center">
                    <span>Verificar</span>
                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" class="injected-svg icon bg-white" data-src="assets/img/icons/interface/icon-arrow-right.svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                        <path d="M12 5L19 12L12 19M5 12H18H5Z" stroke="#2C3038" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                    </svg>
                </div>
            </button>
        </div>
    </div>
    <div *ngIf="showExito" data-aos="zoom-in" data-aos-delay="150" class="container contenedor-responsive">
        <div class="row section-title justify-content-center text-center" style="padding-top: 3rem">
            <div class="col-md-9 col-lg-8 col-xl-7">
                <h3 class="display-7" style="margin-bottom:20px !important;">¡Código verificado con éxito!</h3>
                <img style="width: 200px" class="mt-5" src="assets/img/ilus/see-your-community.png" alt="">
            </div>
        </div>
        <div class="mr-2" style="display: flex;justify-content: center;">
            <button type="button" (click)="empezar()" class="btn btn-primary">
                <div class="d-flex align-items-center">
                    <span>Empezar a viajar</span>
                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" class="injected-svg icon bg-white" data-src="assets/img/icons/interface/icon-arrow-right.svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                        <path d="M12 5L19 12L12 19M5 12H18H5Z" stroke="#2C3038" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                    </svg>
                </div>
            </button>
        </div>
    </div>
    <div class="footer-curve">
        <div style="height: 6.8vw !important;" class="divider divider-bottom bg-primary-3 mt-0"></div>
        <div style="background: #192d35; height: 3.45rem;"></div>
    </div>
</section>